{% extends "templates/inc/_base.twig" %}

{% block main %}

{% include 'templates/inc/_modal.twig' %}

<main class="main">
  {# Hero #}
  <section class="hero">
    <img srcset="{{ hero.bg.url|resize(768, 768 * 0.2) }} 768w,
                 {{ hero.bg.url|resize(1438, 1438 * 0.2) }} 1438w,
                 {{ hero.bg.url|resize(2876, 2786 * 0.2)  }} 2786w"
         src="{{ hero.bg.url|resize(1438, 1438 * 0.2) }}"
         class="hero__bg lazyload"
         data-sizes="auto"
         alt="{{ hero.bg.alt }}">
    <div class="container hero__body">
      <h1 class="hero__title">{{ hero.title }}</h1>
      <p class="hero__content">{{ hero.content }}</p>
      <a href="{{ hero.cta.url }}" role="button" class="btn btn--primary js-modal-open">{{ hero.cta.title }}</a>
    </div>
    <div class="container">
      <nav class="strip">
        <ul class="strip__menu list-reset">
          {% for item in menu.hero.items %}
            <li {% if item.current %}class="active"{% endif %}><a href="{{ item.link }}">
              {% if item.classes[0] == 'home' %}
                {% include 'templates/inc/icons/_icons.home.twig' ignore missing %}
              {% elseif item.classes[0] == 'blog' %}
                {% include 'templates/inc/icons/_icons.news.twig' ignore missing %}
              {% elseif item.classes[0] == 'learn' %}
                {% include 'templates/inc/icons/_icons.graduation-cap.twig' ignore missing %}
              {% elseif item.classes[0] == 'use-cases' %}
                {% include 'templates/inc/icons/_icons.lightbulb.twig' ignore missing %}
              {% endif %}
              {{ item.title }}</a></li>
          {% endfor %}
        </ul>
      </nav>
    </div>
  </section>
  {# Hero ./end #}
  {# Top Reads #}
  <section class="section">
    <div class="container">
      <h2>{{ top.title }}</h2>
      <div class="row row--vertical">
        <div class="col-sm-4">
          <a class="card-link" href="{{ top.post.link }}">
            <div class="card">
              <img srcset="{{ top.post.thumbnail.src|resize(360) }},
                {{ top.post.thumbnail.src|resize(720) }} 2x"
                src="{{ top.post.thumbnail.src }}"
                alt="{{ top.post.thumbnail.alt }}"
                class="img-responsive card__img"
                width="360"
                height="238">
              <dl class="card__icon">
                <dt>{% include 'templates/inc/icons/_icons.news.twig' ignore missing %}</dt>
                <dd>{{ options.top_rated.post_type }}</dd>
              </dl>
              <h4>{{ top.post.title }}</h4>
              <p>{{ top.post.preview|truncate(12) }}</p>
              <dl class="card__author">
                <dt><span>{{ function('initials', top.post.author) }}</span></dt>
                <dd>{{ top.post.author }}</dd>
              </dl>
            </div>
          </a>
        </div>
        <div class="col-sm-8">
          <div id="squidex-top-rated"></div>
        </div>
      </div>
    </div>
  </section>
  {# Top Reads ./end #}
  {# Articles & Learn #}
  <section class="section">
    <div class="container">
      <div class="row row--vertical">
        <div class="col-sm-6">
          <h2>{{ latest.title }}</h2>
          <div class="row row--vertical">
            {% for post in latest.list %}
              <div class="col-xs-6">
                <a class="card-link" href="{{ post.link }}">
                  <div class="card">
                    <img src="{{ post.thumbnail.src }}" alt="{{ post.thumbnail.alt }}" class="img-responsive card__img" width="263" height="176">
                    <h6>{{ post.title }}</h6>
                    <dl class="card__author">
                      <dt><span>{{ function('initials', post.author) }}</span></dt>
                      <dd>{{ post.author }}</dd>
                    </dl>
                  </div>
                </a>
              </div>
            {% endfor %}
          </div>
        </div>
        <div class="col-sm-6">
          <div id="squidex-learn"></div>
        </div>
      </div>
      {# Newsletter #}
      <div class="brick brick--fluid">
        <div class="row">
          <div class="col-sm-8 offset-sm-2 col-md-6 offset-md-3">
            {% include 'templates/inc/_newsletter.twig' ignore missing with {
              'region': options.newsletter.region,
              'portalId': options.newsletter.portal_id,
              'formId': options.newsletter.form_id
            } only %}
          </div>
        </div>
      {# Newsletter ./end #}
      </div>
    </div>
  </section>
  {# Articles & Learn ./end #}

  <section class="section">
    <div class="container">
      <div id="squidex-use-cases"></div>
    </div>
  </section>
</main>

{% endblock %}
